#!/usr/bin/perl
# $Id: create.pl,v 1.7 2001/10/24 18:12:57 will Exp $
#
# Copyright 2001 Sun Microsystems, Inc.  All rights reserved.
#
use Time::Local;
use CCE;
use Schedule;

$DEBUG = 0;

my $ok = 1;

my $cce = new CCE;
$cce->connectfd();

# Get information on the object being created.
my $namespace = $cce->event_namespace();
my $oid = $cce->event_oid();
my $obj = $cce->event_object();

$DEBUG && print STDERR 'create handler received object: ', Dumper($obj);

#
# Step 1: Make sure private parameters are not specified
#
my $changed = $cce->event_new();
if (defined $changed{'filename'}) {
        #
        # The user is not permitted to change the filename property.  Fail
        # with bad data.
        #
        $cce->baddata($oid, 'filename', '[[base-schedule.filename_private]]');
        $cce->bye('FAIL');
        exit(1);
}

#
# Step 2: Check the new objects parameters
#
$ok = Schedule::check_parameters($cce, $obj);
if (! $ok) {
	$cce->bye('FAIL');
	exit(1);
}

#
# Step 2: Determine if the schedule is active and if it should be added
# to the timer if it is.  A new file is created to store the data if
# necessary.
#
if ($obj->{'enabled'}) {
	$ok = Schedule::timer_add($cce, $obj);
	if (! $ok) {
		# Failed to remove the previous version of this schedule
		$cce->bye('FAIL', '[[base-schedule.timer_add_failed]]');
		exit(1);
	}
}

$cce->bye('SUCCESS');
exit(0);
