#!/usr/bin/perl
# $Id: delete.pl,v 1.7 2001/10/24 18:12:57 will Exp $
#
# Copyright 2001 Sun Microsystems, Inc.  All rights reserved.
#
# Description:
# 	Deletes a schedule permanently by removing it's file from /etc/cron.d
#
use CCE;
use Schedule;

$DEBUG = 0;

my $cce = new CCE;
$cce->connectfd();

# Get information on the object being deleted.
my $oid = $cce->event_oid();
my $obj = $cce->event_old();

$DEBUG && print STDERR 'Schedule delete: received object ', Dumper($obj);

# Remove the schedule from the timer
my $ok = Schedule::timer_delete($cce, $obj);
if (! $ok) {
	$DEBUG && print STDERR 'Schedule delete: timer_delete returned: ' .
	    $ok . "\n";
	$cce->bye('FAIL', '[[base-schedule.cannot_delete_timer]]');
	exit(1);
}

$cce->bye('SUCCESS');
exit(0);


